#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECSPredictionEvents {
    DamageTag = 1,
    AddAimPunch = 3,
}

impl ECSPredictionEvents {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::DamageTag as i32 => Some(Self::DamageTag),
            x if x == Self::AddAimPunch as i32 => Some(Self::AddAimPunch),
            _ => None,
        }
    }
}
